Index: src/Actions/WorldAction/AddEmptyBoundaryAction.def
===================================================================
--- src/Actions/WorldAction/AddEmptyBoundaryAction.def	(revision 301723ee3699e2aed794325ea0ece0fb5b8c016c)
+++ src/Actions/WorldAction/AddEmptyBoundaryAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -11,8 +11,11 @@
 #include "LinearAlgebra/Vector.hpp"
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (Vector)
+#define paramvalids (DummyValidator< Vector >())
 #define paramtokens ("add-empty-boundary")
 #define paramdescriptions ("desired minimum distance to boundary for each axis over all atoms")
Index: src/Actions/WorldAction/BoundInBoxAction.def
===================================================================
--- src/Actions/WorldAction/BoundInBoxAction.def	(revision 301723ee3699e2aed794325ea0ece0fb5b8c016c)
+++ src/Actions/WorldAction/BoundInBoxAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -10,4 +10,6 @@
 #include "LinearAlgebra/Vector.hpp"
 
+
+#include "Parameters/Validators/DummyValidator.hpp"
 
 // i.e. there is an integer with variable name Z that can be found in
Index: src/Actions/WorldAction/CenterInBoxAction.def
===================================================================
--- src/Actions/WorldAction/CenterInBoxAction.def	(revision 301723ee3699e2aed794325ea0ece0fb5b8c016c)
+++ src/Actions/WorldAction/CenterInBoxAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -12,8 +12,11 @@
 #include <boost/shared_ptr.hpp>
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (RealSpaceMatrix)
+#define paramvalids (DummyValidator< RealSpaceMatrix >())
 #define paramtokens ("center-in-box")
 #define paramdescriptions ("symmetric matrix of new domain")
Index: src/Actions/WorldAction/CenterOnEdgeAction.def
===================================================================
--- src/Actions/WorldAction/CenterOnEdgeAction.def	(revision 301723ee3699e2aed794325ea0ece0fb5b8c016c)
+++ src/Actions/WorldAction/CenterOnEdgeAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -8,4 +8,6 @@
 // all includes and forward declarations necessary for non-integral types below
 #include "LinearAlgebra/Vector.hpp"
+
+#include "Parameters/Validators/DummyValidator.hpp"
 
 // i.e. there is an integer with variable name Z that can be found in
Index: src/Actions/WorldAction/ChangeBoxAction.def
===================================================================
--- src/Actions/WorldAction/ChangeBoxAction.def	(revision 301723ee3699e2aed794325ea0ece0fb5b8c016c)
+++ src/Actions/WorldAction/ChangeBoxAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -10,8 +10,11 @@
 #include "LinearAlgebra/RealSpaceMatrix.hpp"
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (RealSpaceMatrix)
+#define paramvalids (DummyValidator< RealSpaceMatrix >())
 #define paramtokens ("change-box")
 #define paramdescriptions ("symmetrc matrix of the new simulation domain")
Index: src/Actions/WorldAction/InputAction.def
===================================================================
--- src/Actions/WorldAction/InputAction.def	(revision 301723ee3699e2aed794325ea0ece0fb5b8c016c)
+++ src/Actions/WorldAction/InputAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 #include <boost/filesystem.hpp>
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
+#define paramvalids (DummyValidator< boost::filesystem::path >())
 #define paramtokens ("input")
 #define paramdescriptions ("name of input files")
Index: src/Actions/WorldAction/OutputAction.def
===================================================================
--- src/Actions/WorldAction/OutputAction.def	(revision 301723ee3699e2aed794325ea0ece0fb5b8c016c)
+++ src/Actions/WorldAction/OutputAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 #
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
+#define paramvalids (DummyValidator< boost::filesystem::path >())
 #define paramtokens ("output")
 #define paramdescriptions ("filename to write to")
Index: src/Actions/WorldAction/RepeatBoxAction.def
===================================================================
--- src/Actions/WorldAction/RepeatBoxAction.def	(revision 301723ee3699e2aed794325ea0ece0fb5b8c016c)
+++ src/Actions/WorldAction/RepeatBoxAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -13,8 +13,11 @@
 class molecule;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::vector< unsigned int >)
+#define paramvalids (DummyValidator< std::vector< unsigned int > >())
 #define paramtokens ("repeat-box")
 #define paramdescriptions ("number of copies to create per axis")
Index: src/Actions/WorldAction/ScaleBoxAction.def
===================================================================
--- src/Actions/WorldAction/ScaleBoxAction.def	(revision 301723ee3699e2aed794325ea0ece0fb5b8c016c)
+++ src/Actions/WorldAction/ScaleBoxAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -10,8 +10,11 @@
 #include "LinearAlgebra/Vector.hpp"
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (Vector)
+#define paramvalids (DummyValidator< Vector >())
 #define paramtokens ("scale-box")
 #define paramdescriptions ("scaling factor for each axis")
Index: src/Actions/WorldAction/SetBoundaryConditionsAction.def
===================================================================
--- src/Actions/WorldAction/SetBoundaryConditionsAction.def	(revision 301723ee3699e2aed794325ea0ece0fb5b8c016c)
+++ src/Actions/WorldAction/SetBoundaryConditionsAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -10,8 +10,11 @@
 #include <string>
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::vector< std::string >)
+#define paramvalids (DummyValidator< std::vector< std::string > >())
 #define paramtokens ("set-boundary-conditions")
 #define paramdescriptions ("new boundary conditions as list of three strings, e.g. 'wrap wrap ignore'")
Index: src/Actions/WorldAction/SetDefaultNameAction.def
===================================================================
--- src/Actions/WorldAction/SetDefaultNameAction.def	(revision 301723ee3699e2aed794325ea0ece0fb5b8c016c)
+++ src/Actions/WorldAction/SetDefaultNameAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::string)
+#define paramvalids (DummyValidator< std::string >())
 #define paramtokens ("default-molname")
 #define paramdescriptions ("new default name of new molecules")
Index: src/Actions/WorldAction/SetWorldTimeAction.def
===================================================================
--- src/Actions/WorldAction/SetWorldTimeAction.def	(revision 301723ee3699e2aed794325ea0ece0fb5b8c016c)
+++ src/Actions/WorldAction/SetWorldTimeAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (unsigned int)
+#define paramvalids (DummyValidator< unsigned int >())
 #define paramtokens ("set-world-time")
 #define paramdescriptions ("new time step")