Index: src/tesselation.cpp
===================================================================
--- src/tesselation.cpp	(revision f1ef60a25947d39dbd0f9b8ba6bdc7726c8b8b4f)
+++ src/tesselation.cpp	(revision 717e0c59ee3acdc14323b6851984ea268b5c6c7c)
@@ -48,5 +48,5 @@
   //Log() << Verbose(5) << "Erasing point nr. " << Nr << "." << endl;
   if (!lines.empty())
-    eLog() << Verbose(0) << "WARNING: Memory Leak! I " << *this << " am still connected to some lines." << endl;
+    eLog() << Verbose(2) << "Memory Leak! I " << *this << " am still connected to some lines." << endl;
   node = NULL;
 };
@@ -153,5 +153,5 @@
   }
   if (!triangles.empty())
-    eLog() << Verbose(0) << "WARNING: Memory Leak! I " << *this << " am still connected to some triangles." << endl;
+    eLog() << Verbose(2) << "Memory Leak! I " << *this << " am still connected to some triangles." << endl;
 };
 
@@ -188,5 +188,5 @@
   // get the two triangles
   if (triangles.size() != 2) {
-    Log() << Verbose(1) << "ERROR: Baseline " << *this << " is connected to less than two triangles, Tesselation incomplete!" << endl;
+    eLog() << Verbose(1) << "Baseline " << *this << " is connected to less than two triangles, Tesselation incomplete!" << endl;
     return true;
   }
@@ -226,5 +226,5 @@
       i++;
     } else {
-      //Log() << Verbose(2) << "ERROR: I cannot find third node in triangle, something's wrong." << endl;
+      //eLog() << Verbose(1) << "I cannot find third node in triangle, something's wrong." << endl;
       return true;
     }
@@ -409,5 +409,5 @@
   } while (CrossPoint.NormSquared() < MYEPSILON);
   if (i==3) {
-    Log() << Verbose(1) << "ERROR: Could not find any cross points, something's utterly wrong here!" << endl;
+    eLog() << Verbose(1) << "Could not find any cross points, something's utterly wrong here!" << endl;
     exit(255);
   }
@@ -634,5 +634,5 @@
       runner->second = NULL;
     } else
-      eLog() << Verbose(1) << "ERROR: The triangle " << runner->first << " has already been free'd." << endl;
+      eLog() << Verbose(1) << "The triangle " << runner->first << " has already been free'd." << endl;
   }
   Log() << Verbose(1) << "This envelope was written to file " << TriangleFilesWritten << " times(s)." << endl;
@@ -1174,5 +1174,5 @@
             if (NewLines[j]->IsConnectedTo(BLS[0])) {
               if (n>2) {
-                Log() << Verbose(1) << "ERROR: " << BLS[0] << " connects to all of the new lines?!" << endl;
+                Log() << Verbose(1) << BLS[0] << " connects to all of the new lines?!" << endl;
                 return false;
               } else
@@ -1191,5 +1191,5 @@
       }
     } else { // something is wrong with FindClosestTriangleToPoint!
-      Log() << Verbose(1) << "ERROR: The closest triangle did not produce an intersection!" << endl;
+      eLog() << Verbose(1) << "The closest triangle did not produce an intersection!" << endl;
       return false;
     }
@@ -1379,5 +1379,5 @@
       triangle->lines[i] = NULL;  // free'd or not: disconnect
     } else
-      eLog() << Verbose(0) << "ERROR: This line " << i << " has already been free'd." << endl;
+      eLog() << Verbose(1) << "This line " << i << " has already been free'd." << endl;
   }
 
@@ -1432,8 +1432,8 @@
       line->endpoints[i] = NULL;  // free'd or not: disconnect
     } else
-      eLog() << Verbose(0) << "ERROR: Endpoint " << i << " has already been free'd." << endl;
+      eLog() << Verbose(1) << "Endpoint " << i << " has already been free'd." << endl;
   }
   if (!line->triangles.empty())
-    eLog() << Verbose(0) << "WARNING: Memory Leak! I " << *line << " am still connected to some triangles." << endl;
+    eLog() << Verbose(2) << "Memory Leak! I " << *line << " am still connected to some triangles." << endl;
 
   if (LinesOnBoundary.erase(line->Nr))
@@ -1604,5 +1604,5 @@
           }
         } else {
-          eLog() << Verbose(0) << "ERROR: The current cell " << LC->n[0] << "," << LC->n[1] << "," << LC->n[2] << " is invalid!" << endl;
+          eLog() << Verbose(1) << "The current cell " << LC->n[0] << "," << LC->n[1] << "," << LC->n[2] << " is invalid!" << endl;
         }
       }
@@ -1786,5 +1786,5 @@
             if (fabs(OldSphereCenter.ScalarProduct(&SearchDirection)) > HULLEPSILON) {
               // rotated the wrong way!
-              eLog() << Verbose(0) << "ERROR: SearchDirection and RelativeOldSphereCenter are still not orthogonal!" << endl;
+              eLog() << Verbose(1) << "SearchDirection and RelativeOldSphereCenter are still not orthogonal!" << endl;
             }
 
@@ -1924,5 +1924,5 @@
     if (fabs(OldSphereCenter.ScalarProduct(&SearchDirection)) > HULLEPSILON) {
       // rotated the wrong way!
-      eLog() << Verbose(0) << "ERROR: SearchDirection and RelativeOldSphereCenter are still not orthogonal!" << endl;
+      eLog() << Verbose(1) << "SearchDirection and RelativeOldSphereCenter are still not orthogonal!" << endl;
     }
 
@@ -1935,5 +1935,5 @@
 
   if (OptCandidates->begin() == OptCandidates->end()) {
-    eLog() << Verbose(0) << "WARNING: Could not find a suitable candidate." << endl;
+    eLog() << Verbose(2) << "Could not find a suitable candidate." << endl;
     return false;
   }
@@ -1983,5 +1983,5 @@
         //Log() << Verbose(1) << "We have "<< TrianglesOnBoundaryCount << " for line " << *BaseRay << "." << endl;
         } else {
-          Log() << Verbose(1) << "WARNING: This triangle consisting of ";
+          eLog() << Verbose(2) << "This triangle consisting of ";
           Log() << Verbose(0) << *(*it)->point << ", ";
           Log() << Verbose(0) << *BaseRay->endpoints[0]->node << " and ";
@@ -2009,13 +2009,8 @@
             (*it)->OtherOptCenter.Scale(-1.);
 
-            Log() << Verbose(0) << "--> WARNING: Special new triangle with " << *BTS << " and normal vector " << BTS->NormalVector
-            << " for this triangle ... " << endl;
+            eLog() << Verbose(2) << "--> WARNING: Special new triangle with " << *BTS << " and normal vector " << BTS->NormalVector << " for this triangle ... " << endl;
             Log() << Verbose(1) << "We have "<< BaseRay->triangles.size() << " for line " << BaseRay << "." << endl;
           } else {
-            Log() << Verbose(1) << "WARNING: This triangle consisting of ";
-            Log() << Verbose(0) << *(*it)->point << ", ";
-            Log() << Verbose(0) << *BaseRay->endpoints[0]->node << " and ";
-            Log() << Verbose(0) << *BaseRay->endpoints[1]->node << " ";
-            Log() << Verbose(0) << "exists and is not added, as it does not seem helpful!" << endl;
+            eLog() << Verbose(2) << "This triangle consisting of " << *(*it)->point << ", " << *BaseRay->endpoints[0]->node << " and " << *BaseRay->endpoints[1]->node << " " << "exists and is not added, as it does not seem helpful!" << endl;
             result = false;
           }
@@ -2033,5 +2028,5 @@
     BaseRay = BLS[0];
     if ((BTS != NULL) && (BTS->NormalVector.NormSquared() < MYEPSILON)) {
-      Log() << Verbose(1) << "CRITICAL: Triangle " << *BTS << " has zero normal vector!" << endl;
+      eLog() << Verbose(1) << "Triangle " << *BTS << " has zero normal vector!" << endl;
       exit(255);
     }
@@ -2174,5 +2169,5 @@
     BaseLineNormal.Zero();
     if (Base->triangles.size() < 2) {
-      Log() << Verbose(2) << "ERROR: Less than two triangles are attached to this baseline!" << endl;
+      eLog() << Verbose(1) << "Less than two triangles are attached to this baseline!" << endl;
       return 0.;
     }
@@ -2214,5 +2209,5 @@
   BaseLineNormal.Zero();
   if (Base->triangles.size() < 2) {
-    Log() << Verbose(2) << "ERROR: Less than two triangles are attached to this baseline!" << endl;
+    eLog() << Verbose(1) << "Less than two triangles are attached to this baseline!" << endl;
     return NULL;
   }
@@ -2250,15 +2245,15 @@
   // check whether everything is in place to create new lines and triangles
   if (i<4) {
-    Log() << Verbose(1) << "ERROR: We have not gathered enough baselines!" << endl;
+    eLog() << Verbose(1) << "We have not gathered enough baselines!" << endl;
     return NULL;
   }
   for (int j=0;j<4;j++)
     if (OldLines[j] == NULL) {
-      Log() << Verbose(1) << "ERROR: We have not gathered enough baselines!" << endl;
+      eLog() << Verbose(1) << "We have not gathered enough baselines!" << endl;
       return NULL;
     }
   for (int j=0;j<2;j++)
     if (OldPoints[j] == NULL) {
-      Log() << Verbose(1) << "ERROR: We have not gathered enough endpoints!" << endl;
+      eLog() << Verbose(1) << "We have not gathered enough endpoints!" << endl;
       return NULL;
     }
@@ -2336,5 +2331,5 @@
       N[i] = LC->n[i];
   } else {
-    eLog() << Verbose(0) << "ERROR: Point " << *a << " is not found in cell " << LC->index << "." << endl;
+    eLog() << Verbose(1) << "Point " << *a << " is not found in cell " << LC->index << "." << endl;
     return;
   }
@@ -2475,5 +2470,5 @@
     // test whether old center is on the band's plane
     if (fabs(OldSphereCenter.ScalarProduct(&CirclePlaneNormal)) > HULLEPSILON) {
-      eLog() << Verbose(0) << "ERROR: Something's very wrong here: OldSphereCenter is not on the band's plane as desired by " << fabs(OldSphereCenter.ScalarProduct(&CirclePlaneNormal)) << "!" << endl;
+      eLog() << Verbose(1) << "Something's very wrong here: OldSphereCenter is not on the band's plane as desired by " << fabs(OldSphereCenter.ScalarProduct(&CirclePlaneNormal)) << "!" << endl;
       OldSphereCenter.ProjectOntoPlane(&CirclePlaneNormal);
     }
@@ -2485,5 +2480,5 @@
       //Log() << Verbose(2) << "INFO: SearchDirection is " << SearchDirection << "." << endl;
       if (fabs(OldSphereCenter.ScalarProduct(&SearchDirection)) > HULLEPSILON) {  // rotated the wrong way!
-        eLog() << Verbose(0) << "ERROR: SearchDirection and RelativeOldSphereCenter are not orthogonal!" << endl;
+        eLog() << Verbose(1) << "SearchDirection and RelativeOldSphereCenter are not orthogonal!" << endl;
       }
 
@@ -2494,5 +2489,5 @@
         //Log() << Verbose(2) << "INFO: Center cell is " << N[0] << ", " << N[1] << ", " << N[2] << " with No. " << LC->index << "." << endl;
       } else {
-        eLog() << Verbose(0) << "ERROR: Vector " << CircleCenter << " is outside of LinkedCell's bounding box." << endl;
+        eLog() << Verbose(1) << "Vector " << CircleCenter << " is outside of LinkedCell's bounding box." << endl;
         return;
       }
@@ -2599,5 +2594,5 @@
           }
     } else {
-      eLog() << Verbose(2) << "ERROR: The projected center of the old sphere has radius " << radius << " instead of " << CircleRadius << "." << endl;
+      eLog() << Verbose(1) << "The projected center of the old sphere has radius " << radius << " instead of " << CircleRadius << "." << endl;
     }
   } else {
@@ -2690,5 +2685,5 @@
         triangles->unique();
       } else {
-        Log() << Verbose(1) << "ERROR: I cannot find a boundary point to the tessel point " << *trianglePoints[0] << "." << endl;
+        eLog() << Verbose(1) << "I cannot find a boundary point to the tessel point " << *trianglePoints[0] << "." << endl;
         return NULL;
       }
@@ -2701,5 +2696,5 @@
       for (int i=0;i<3;i++) {
         if (trianglePoints[i] == NULL) {
-          Log() << Verbose(1) << "ERROR: IsInnerPoint encounters serious error, point " << i << " not found." << endl;
+          eLog() << Verbose(1) << "IsInnerPoint encounters serious error, point " << i << " not found." << endl;
         }
         //Log() << Verbose(2) << "List of triangle points:" << endl;
@@ -2720,5 +2715,5 @@
   
   if ((triangles == NULL) || (triangles->empty())) {
-    Log() << Verbose(0) << "ERROR: There is no nearest triangle. Please check the tesselation structure.";
+    eLog() << Verbose(1) << "There is no nearest triangle. Please check the tesselation structure.";
     delete(triangles);
     return NULL;
@@ -2754,5 +2749,5 @@
       Log() << Verbose(2) << "Normal Vector of this back side is " << result->NormalVector << "." << endl;
       if (Center.ScalarProduct(&result->NormalVector) < 0) {
-        Log() << Verbose(1) << "ERROR: Front and back side yield NormalVector in wrong direction!" << endl;
+        eLog() << Verbose(1) << "Front and back side yield NormalVector in wrong direction!" << endl;
       }
     }
@@ -2856,5 +2851,5 @@
 
   if (connectedPoints->size() == 0) { // if have not found any points
-    Log() << Verbose(1) << "ERROR: We have not found any connected points to " << *Point<< "." << endl;
+    eLog() << Verbose(1) << "We have not found any connected points to " << *Point<< "." << endl;
     return NULL;
   }
@@ -2979,5 +2974,5 @@
     ReferencePoint = PointRunner->second;
   } else {
-    Log() << Verbose(2) << "ERROR: GetPathOfConnectedPoints() could not find the BoundaryPoint belonging to " << *Point << "." << endl;
+    eLog() << Verbose(1) << "GetPathOfConnectedPoints() could not find the BoundaryPoint belonging to " << *Point << "." << endl;
     return NULL;
   }
@@ -2996,5 +2991,5 @@
       LineRunner = TouchedLine.find(runner->second);
       if (LineRunner == TouchedLine.end()) {
-        Log() << Verbose(2) << "ERROR: I could not find " << *runner->second << " in the touched list." << endl;
+        eLog() << Verbose(1) << "I could not find " << *runner->second << " in the touched list." << endl;
       } else if (!LineRunner->second) {
         LineRunner->second = true;
@@ -3026,5 +3021,5 @@
                 }
               } else {
-                Log() << Verbose(2) << "ERROR: I could not find " << *triangle << " in the touched list." << endl;
+                eLog() << Verbose(1) << "I could not find " << *triangle << " in the touched list." << endl;
                 triangle = NULL;
               }
@@ -3043,5 +3038,5 @@
           LineRunner = TouchedLine.find(CurrentLine);
           if (LineRunner == TouchedLine.end())
-            Log() << Verbose(2) << "ERROR: I could not find " << *CurrentLine << " in the touched list." << endl;
+            eLog() << Verbose(1) << "I could not find " << *CurrentLine << " in the touched list." << endl;
           else
             LineRunner->second = true;
@@ -3061,5 +3056,5 @@
     }
   } else {
-    Log() << Verbose(1) << "ERROR: There are no lines attached to " << *ReferencePoint << "." << endl;
+    eLog() << Verbose(1) << "There are no lines attached to " << *ReferencePoint << "." << endl;
   }
 
@@ -3139,5 +3134,5 @@
 
   if (Point == NULL) {
-    Log() << Verbose(1) << "ERROR: Point given is NULL." << endl;
+    eLog() << Verbose(1) << "Point given is NULL." << endl;
   } else {
     // go through its lines and insert all triangles
@@ -3171,5 +3166,5 @@
 
   if (point == NULL) {
-    Log() << Verbose(1) << "ERROR: Cannot remove the point " << point << ", it's NULL!" << endl;
+    eLog() << Verbose(1) << "Cannot remove the point " << point << ", it's NULL!" << endl;
     return 0.;
   } else
@@ -3181,5 +3176,5 @@
   // get list of connected points
   if (point->lines.empty()) {
-    Log() << Verbose(1) << "ERROR: Cannot remove the point " << *point << ", it's connected to no lines!" << endl;
+    eLog() << Verbose(1) << "Cannot remove the point " << *point << ", it's connected to no lines!" << endl;
     return 0.;
   }
@@ -3281,5 +3276,5 @@
         triangle = GetPresentTriangle(TriangleCandidates);
         if (triangle != NULL) {
-          Log() << Verbose(1) << "WARNING: New triangle already present, skipping!" << endl;
+          eLog() << Verbose(2) << "New triangle already present, skipping!" << endl;
           StartNode++;
           MiddleNode++;
@@ -3619,5 +3614,5 @@
     NearestBoundaryPoint = PointRunner->second;
   } else {
-    Log() << Verbose(1) << "ERROR: I cannot find the boundary point." << endl;
+    eLog() << Verbose(1) << "I cannot find the boundary point." << endl;
     return;
   }