Index: src/UIElements/TextUI/TextDialog.hpp
===================================================================
--- src/UIElements/TextUI/TextDialog.hpp	(revision 6f5dfe559a8279d64fa1e293a546f8d74ece2ef3)
+++ src/UIElements/TextUI/TextDialog.hpp	(revision 738ae1e8b6d1be253565c15e50c3cb7b0cdfabba)
@@ -45,129 +45,24 @@
 protected:
   // specialized stuff for text queries
-  class EmptyTextQuery : public Dialog::EmptyQuery {
-  public:
-    EmptyTextQuery(std::string title, std::string _description = NULL);
-    virtual ~EmptyTextQuery();
-    virtual bool handle();
-  };
-
-  class BooleanTextQuery : public Dialog::BooleanQuery {
-  public:
-    BooleanTextQuery(std::string title, std::string _description = NULL);
-    virtual ~BooleanTextQuery();
-    virtual bool handle();
-  };
-
-  class IntTextQuery : public Dialog::IntQuery {
-  public:
-    IntTextQuery(std::string title, std::string _description = NULL);
-    virtual ~IntTextQuery();
-    virtual bool handle();
-  };
-
-  class IntsTextQuery : public Dialog::IntsQuery {
-  public:
-    IntsTextQuery(std::string title, std::string _description = NULL);
-    virtual ~IntsTextQuery();
-    virtual bool handle();
-  };
-
-  class DoubleTextQuery : public Dialog::DoubleQuery {
-  public:
-    DoubleTextQuery(std::string title, std::string _description = NULL);
-    virtual ~DoubleTextQuery();
-    virtual bool handle();
-  };
-
-  class DoublesTextQuery : public Dialog::DoublesQuery {
-  public:
-    DoublesTextQuery(std::string title, std::string _description = NULL);
-    virtual ~DoublesTextQuery();
-    virtual bool handle();
-  };
-
-  class StringTextQuery : public Dialog::StringQuery {
-  public:
-    StringTextQuery(std::string title, std::string _description = NULL);
-    virtual ~StringTextQuery();
-    virtual bool handle();
-  };
-
-  class StringsTextQuery : public Dialog::StringsQuery {
-  public:
-    StringsTextQuery(std::string title, std::string _description = NULL);
-    virtual ~StringsTextQuery();
-    virtual bool handle();
-  };
-
-  class AtomTextQuery : public Dialog::AtomQuery {
-  public:
-    AtomTextQuery(std::string title, std::string _description = NULL);
-    virtual ~AtomTextQuery();
-    virtual bool handle();
-  };
-
-  class AtomsTextQuery : public Dialog::AtomsQuery {
-  public:
-    AtomsTextQuery(std::string title, std::string _description = NULL);
-    virtual ~AtomsTextQuery();
-    virtual bool handle();
-  };
-
-  class MoleculeTextQuery : public Dialog::MoleculeQuery {
-  public:
-    MoleculeTextQuery(std::string title, std::string _description = NULL);
-    virtual ~MoleculeTextQuery();
-    virtual bool handle();
-  };
-
-  class MoleculesTextQuery : public Dialog::MoleculesQuery {
-  public:
-    MoleculesTextQuery(std::string title, std::string _description = NULL);
-    virtual ~MoleculesTextQuery();
-    virtual bool handle();
-  };
-
-  class VectorTextQuery : public Dialog::VectorQuery {
-  public:
-    VectorTextQuery(std::string title,bool _check, std::string _description = NULL);
-    virtual ~VectorTextQuery();
-    virtual bool handle();
-  };
-
-  class VectorsTextQuery : public Dialog::VectorsQuery {
-  public:
-    VectorsTextQuery(std::string title,bool _check, std::string _description = NULL);
-    virtual ~VectorsTextQuery();
-    virtual bool handle();
-  };
-
-  class BoxTextQuery : public Dialog::BoxQuery {
-  public:
-    BoxTextQuery(std::string title, std::string _description = NULL);
-    virtual ~BoxTextQuery();
-    virtual bool handle();
-  };
-
-  class ElementTextQuery : public Dialog::ElementQuery {
-  public:
-    ElementTextQuery(std::string title, std::string _description = NULL);
-    virtual ~ElementTextQuery();
-    virtual bool handle();
-  };
-
-  class ElementsTextQuery : public Dialog::ElementsQuery {
-  public:
-    ElementsTextQuery(std::string title, std::string _description = NULL);
-    virtual ~ElementsTextQuery();
-    virtual bool handle();
-  };
-
-  class FileTextQuery : public Dialog::FileQuery {
-  public:
-    FileTextQuery(std::string title, std::string _description = NULL);
-    virtual ~FileTextQuery();
-    virtual bool handle();
-  };
+  // all placed into Query/TextQuery.hpp
+  // !please adhere to alphabetical ordering!
+  class AtomTextQuery;
+  class AtomsTextQuery;
+  class BooleanTextQuery;
+  class BoxTextQuery;
+  class DoubleTextQuery;
+  class DoublesTextQuery;
+  class ElementTextQuery;
+  class ElementsTextQuery;
+  class EmptyTextQuery;
+  class FileTextQuery;
+  class IntTextQuery;
+  class IntsTextQuery;
+  class MoleculeTextQuery;
+  class MoleculesTextQuery;
+  class StringTextQuery;
+  class StringsTextQuery;
+  class VectorTextQuery;
+  class VectorsTextQuery;
 };
 