Index: tests/Tesselations/1_2-dimethoxyethane/1.5/NonConvexEnvelope-1_2-dimethoxyethane.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/1.5/NonConvexEnvelope-1_2-dimethoxyethane.dat	(revision bdedb126fe1a1073239174c61698ac3e49dc53b1)
+++ 	(revision )
@@ -1,64 +1,0 @@
-TITLE = "3D CONVEX SHELL"
-VARIABLES = "X" "Y" "Z" "U"
-ZONE T="1_2-dimethoxyethane", N=16, E=44, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
-0.7375 -0.7635 -0.2032 9
--0.7375 -0.7635 0.2032 9
-1.3757 0.4033 0.3196 6
--1.3757 0.4033 -0.3196 6
-2.743 0.3456 -0.0917 9
--2.743 0.3456 0.0917 9
-1.2243 -1.6534 0.1956 4
-0.8147 -0.7635 -1.2905 3
--1.2243 -1.6534 -0.1956 4
--0.8147 -0.7635 1.2905 3
-3.2732 1.22 0.2858 5
-3.2041 -0.5585 0.3057 2
-2.7946 0.3315 -1.1804 4
--3.2732 1.22 -0.2858 6
--3.2041 -0.5585 -0.3057 3
--2.7946 0.3315 1.1804 4
-
-5 11 12
-5 11 12
-5 11 13
-5 11 13
-5 12 13
-3 5 13
-3 5 11
-3 5 11
-3 5 12
-3 7 12
-1 3 7
-1 7 10
-1 3 10
-3 8 13
-1 3 8
-1 4 8
-1 3 4
-2 7 10
-2 9 10
-2 7 9
-1 7 9
-1 7 8
-1 8 9
-2 8 9
-2 4 9
-2 4 8
-4 9 15
-4 6 15
-6 14 15
-6 14 15
-6 14 16
-6 14 16
-6 15 16
-4 6 16
-4 6 14
-4 6 14
-4 10 16
-2 4 10
-2 3 10
-2 3 4
-7 12 13
-7 8 13
-9 15 16
-9 10 16
Index: tests/Tesselations/1_2-dimethoxyethane/1_2-dimethoxyethane.xyz
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/1_2-dimethoxyethane.xyz	(revision bdedb126fe1a1073239174c61698ac3e49dc53b1)
+++ 	(revision )
@@ -1,18 +1,0 @@
-16
-NCI NSC 60542 2,5-Dioxahexane
-C    0.7375   -0.7635   -0.2032
-C   -0.7375   -0.7635    0.2032
-O    1.3757    0.4033    0.3196
-O   -1.3757    0.4033   -0.3196
-C    2.7430    0.3456   -0.0917
-C   -2.7430    0.3456    0.0917
-H    1.2243   -1.6534    0.1956
-H    0.8147   -0.7635   -1.2905
-H   -1.2243   -1.6534   -0.1956
-H   -0.8147   -0.7635    1.2905
-H    3.2732    1.2200    0.2858
-H    3.2041   -0.5585    0.3057
-H    2.7946    0.3315   -1.1804
-H   -3.2732    1.2200   -0.2858
-H   -3.2041   -0.5585   -0.3057
-H   -2.7946    0.3315    1.1804
Index: tests/Tesselations/1_2-dimethoxyethane/2.5/NonConvexEnvelope-1_2-dimethoxyethane.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/2.5/NonConvexEnvelope-1_2-dimethoxyethane.dat	(revision bdedb126fe1a1073239174c61698ac3e49dc53b1)
+++ 	(revision )
@@ -1,36 +1,0 @@
-TITLE = "3D CONVEX SHELL"
-VARIABLES = "X" "Y" "Z" "U"
-ZONE T="1_2-dimethoxyethane", N=12, E=20, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
-1.3757 0.4033 0.3196 2
--1.3757 0.4033 -0.3196 2
-1.2243 -1.6534 0.1956 1
-0.8147 -0.7635 -1.2905 1
--1.2243 -1.6534 -0.1956 1
--0.8147 -0.7635 1.2905 1
-3.2732 1.22 0.2858 0
-3.2041 -0.5585 0.3057 0
-2.7946 0.3315 -1.1804 0
--3.2732 1.22 -0.2858 0
--3.2041 -0.5585 -0.3057 0
--2.7946 0.3315 1.1804 0
-
-7 8 9
-4 8 9
-3 4 8
-3 4 5
-2 4 5
-2 5 11
-2 10 11
-3 5 6
-5 6 11
-6 11 12
-1 3 6
-1 3 8
-1 7 8
-10 11 12
-1 2 6
-2 6 12
-2 10 12
-1 2 4
-1 4 9
-1 7 9
Index: tests/Tesselations/1_2-dimethoxyethane/2/NonConvexEnvelope-1_2-dimethoxyethane.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/2/NonConvexEnvelope-1_2-dimethoxyethane.dat	(revision bdedb126fe1a1073239174c61698ac3e49dc53b1)
+++ 	(revision )
@@ -1,36 +1,0 @@
-TITLE = "3D CONVEX SHELL"
-VARIABLES = "X" "Y" "Z" "U"
-ZONE T="1_2-dimethoxyethane", N=12, E=20, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
-1.3757 0.4033 0.3196 2
--1.3757 0.4033 -0.3196 2
-1.2243 -1.6534 0.1956 1
-0.8147 -0.7635 -1.2905 1
--1.2243 -1.6534 -0.1956 1
--0.8147 -0.7635 1.2905 1
-3.2732 1.22 0.2858 0
-3.2041 -0.5585 0.3057 0
-2.7946 0.3315 -1.1804 0
--3.2732 1.22 -0.2858 0
--3.2041 -0.5585 -0.3057 0
--2.7946 0.3315 1.1804 0
-
-7 8 9
-4 8 9
-3 4 8
-3 4 5
-3 5 6
-5 6 11
-6 11 12
-1 3 6
-1 3 8
-1 7 8
-2 4 5
-2 5 11
-2 10 11
-1 2 6
-2 6 12
-2 10 12
-1 2 4
-1 4 9
-1 7 9
-10 11 12
Index: tests/Tesselations/1_2-dimethoxyethane/25/NonConvexEnvelope-1_2-dimethoxyethane.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/25/NonConvexEnvelope-1_2-dimethoxyethane.dat	(revision bdedb126fe1a1073239174c61698ac3e49dc53b1)
+++ 	(revision )
@@ -1,30 +1,0 @@
-TITLE = "3D CONVEX SHELL"
-VARIABLES = "X" "Y" "Z" "U"
-ZONE T="1_2-dimethoxyethane", N=10, E=16, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
-1.2243 -1.6534 0.1956 0
-0.8147 -0.7635 -1.2905 0
--1.2243 -1.6534 -0.1956 0
--0.8147 -0.7635 1.2905 0
-3.2732 1.22 0.2858 0
-3.2041 -0.5585 0.3057 0
-2.7946 0.3315 -1.1804 0
--3.2732 1.22 -0.2858 0
--3.2041 -0.5585 -0.3057 0
--2.7946 0.3315 1.1804 0
-
-5 6 7
-2 6 7
-1 2 6
-1 2 3
-2 3 9
-2 8 9
-2 7 8
-5 7 8
-5 8 10
-4 5 10
-4 5 6
-1 4 6
-1 3 4
-3 4 9
-4 9 10
-8 9 10
Index: tests/Tesselations/1_2-dimethoxyethane/3.5/NonConvexEnvelope-1_2-dimethoxyethane.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/3.5/NonConvexEnvelope-1_2-dimethoxyethane.dat	(revision bdedb126fe1a1073239174c61698ac3e49dc53b1)
+++ 	(revision )
@@ -1,36 +1,0 @@
-TITLE = "3D CONVEX SHELL"
-VARIABLES = "X" "Y" "Z" "U"
-ZONE T="1_2-dimethoxyethane", N=12, E=20, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
-1.3757 0.4033 0.3196 2
--1.3757 0.4033 -0.3196 2
-1.2243 -1.6534 0.1956 1
-0.8147 -0.7635 -1.2905 0
--1.2243 -1.6534 -0.1956 1
--0.8147 -0.7635 1.2905 0
-3.2732 1.22 0.2858 0
-3.2041 -0.5585 0.3057 0
-2.7946 0.3315 -1.1804 1
--3.2732 1.22 -0.2858 0
--3.2041 -0.5585 -0.3057 0
--2.7946 0.3315 1.1804 1
-
-7 8 9
-4 8 9
-3 4 8
-3 4 5
-2 4 5
-2 5 11
-2 10 11
-2 4 9
-1 2 9
-1 7 9
-3 5 6
-5 6 11
-6 11 12
-1 3 6
-1 3 8
-1 7 8
-1 6 12
-1 2 12
-2 10 12
-10 11 12
Index: tests/Tesselations/1_2-dimethoxyethane/3/NonConvexEnvelope-1_2-dimethoxyethane.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/3/NonConvexEnvelope-1_2-dimethoxyethane.dat	(revision bdedb126fe1a1073239174c61698ac3e49dc53b1)
+++ 	(revision )
@@ -1,36 +1,0 @@
-TITLE = "3D CONVEX SHELL"
-VARIABLES = "X" "Y" "Z" "U"
-ZONE T="1_2-dimethoxyethane", N=12, E=20, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
-1.3757 0.4033 0.3196 2
--1.3757 0.4033 -0.3196 2
-1.2243 -1.6534 0.1956 1
-0.8147 -0.7635 -1.2905 1
--1.2243 -1.6534 -0.1956 1
--0.8147 -0.7635 1.2905 1
-3.2732 1.22 0.2858 0
-3.2041 -0.5585 0.3057 0
-2.7946 0.3315 -1.1804 0
--3.2732 1.22 -0.2858 0
--3.2041 -0.5585 -0.3057 0
--2.7946 0.3315 1.1804 0
-
-7 8 9
-4 8 9
-3 4 8
-3 4 5
-2 4 5
-2 5 11
-2 10 11
-3 5 6
-5 6 11
-6 11 12
-1 3 6
-1 3 8
-1 7 8
-10 11 12
-1 2 4
-1 4 9
-1 7 9
-1 2 6
-2 6 12
-2 10 12
Index: tests/Tesselations/1_2-dimethoxyethane/4/NonConvexEnvelope-1_2-dimethoxyethane.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/4/NonConvexEnvelope-1_2-dimethoxyethane.dat	(revision bdedb126fe1a1073239174c61698ac3e49dc53b1)
+++ 	(revision )
@@ -1,36 +1,0 @@
-TITLE = "3D CONVEX SHELL"
-VARIABLES = "X" "Y" "Z" "U"
-ZONE T="1_2-dimethoxyethane", N=12, E=20, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
-1.3757 0.4033 0.3196 2
--1.3757 0.4033 -0.3196 2
-1.2243 -1.6534 0.1956 0
-0.8147 -0.7635 -1.2905 0
--1.2243 -1.6534 -0.1956 0
--0.8147 -0.7635 1.2905 0
-3.2732 1.22 0.2858 0
-3.2041 -0.5585 0.3057 1
-2.7946 0.3315 -1.1804 1
--3.2732 1.22 -0.2858 0
--3.2041 -0.5585 -0.3057 1
--2.7946 0.3315 1.1804 1
-
-7 8 9
-4 8 9
-3 4 8
-3 4 5
-4 5 11
-2 4 11
-2 10 11
-2 4 9
-1 2 9
-1 7 9
-1 2 12
-2 10 12
-1 6 12
-1 6 8
-3 6 8
-1 7 8
-3 5 6
-5 6 11
-6 11 12
-10 11 12
Index: tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-1.5.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-1.5.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-1.5.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,64 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="1_2-dimethoxyethane", N=16, E=44, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+0.7375 -0.7635 -0.2032 9
+-0.7375 -0.7635 0.2032 9
+1.3757 0.4033 0.3196 6
+-1.3757 0.4033 -0.3196 6
+2.743 0.3456 -0.0917 9
+-2.743 0.3456 0.0917 9
+1.2243 -1.6534 0.1956 4
+0.8147 -0.7635 -1.2905 3
+-1.2243 -1.6534 -0.1956 4
+-0.8147 -0.7635 1.2905 3
+3.2732 1.22 0.2858 5
+3.2041 -0.5585 0.3057 2
+2.7946 0.3315 -1.1804 4
+-3.2732 1.22 -0.2858 6
+-3.2041 -0.5585 -0.3057 3
+-2.7946 0.3315 1.1804 4
+
+5 11 12
+5 11 12
+5 11 13
+5 11 13
+5 12 13
+3 5 13
+3 5 11
+3 5 11
+3 5 12
+3 7 12
+1 3 7
+1 7 10
+1 3 10
+3 8 13
+1 3 8
+1 4 8
+1 3 4
+2 7 10
+2 9 10
+2 7 9
+1 7 9
+1 7 8
+1 8 9
+2 8 9
+2 4 9
+2 4 8
+4 9 15
+4 6 15
+6 14 15
+6 14 15
+6 14 16
+6 14 16
+6 15 16
+4 6 16
+4 6 14
+4 6 14
+4 10 16
+2 4 10
+2 3 10
+2 3 4
+7 12 13
+7 8 13
+9 15 16
+9 10 16
Index: tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-2.5.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-2.5.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-2.5.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,36 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="1_2-dimethoxyethane", N=12, E=20, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+1.3757 0.4033 0.3196 2
+-1.3757 0.4033 -0.3196 2
+1.2243 -1.6534 0.1956 1
+0.8147 -0.7635 -1.2905 1
+-1.2243 -1.6534 -0.1956 1
+-0.8147 -0.7635 1.2905 1
+3.2732 1.22 0.2858 0
+3.2041 -0.5585 0.3057 0
+2.7946 0.3315 -1.1804 0
+-3.2732 1.22 -0.2858 0
+-3.2041 -0.5585 -0.3057 0
+-2.7946 0.3315 1.1804 0
+
+7 8 9
+4 8 9
+3 4 8
+3 4 5
+2 4 5
+2 5 11
+2 10 11
+3 5 6
+5 6 11
+6 11 12
+1 3 6
+1 3 8
+1 7 8
+10 11 12
+1 2 6
+2 6 12
+2 10 12
+1 2 4
+1 4 9
+1 7 9
Index: tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-2.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-2.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-2.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,36 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="1_2-dimethoxyethane", N=12, E=20, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+1.3757 0.4033 0.3196 2
+-1.3757 0.4033 -0.3196 2
+1.2243 -1.6534 0.1956 1
+0.8147 -0.7635 -1.2905 1
+-1.2243 -1.6534 -0.1956 1
+-0.8147 -0.7635 1.2905 1
+3.2732 1.22 0.2858 0
+3.2041 -0.5585 0.3057 0
+2.7946 0.3315 -1.1804 0
+-3.2732 1.22 -0.2858 0
+-3.2041 -0.5585 -0.3057 0
+-2.7946 0.3315 1.1804 0
+
+7 8 9
+4 8 9
+3 4 8
+3 4 5
+3 5 6
+5 6 11
+6 11 12
+1 3 6
+1 3 8
+1 7 8
+2 4 5
+2 5 11
+2 10 11
+1 2 6
+2 6 12
+2 10 12
+1 2 4
+1 4 9
+1 7 9
+10 11 12
Index: tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-25.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-25.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-25.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,30 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="1_2-dimethoxyethane", N=10, E=16, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+1.2243 -1.6534 0.1956 0
+0.8147 -0.7635 -1.2905 0
+-1.2243 -1.6534 -0.1956 0
+-0.8147 -0.7635 1.2905 0
+3.2732 1.22 0.2858 0
+3.2041 -0.5585 0.3057 0
+2.7946 0.3315 -1.1804 0
+-3.2732 1.22 -0.2858 0
+-3.2041 -0.5585 -0.3057 0
+-2.7946 0.3315 1.1804 0
+
+5 6 7
+2 6 7
+1 2 6
+1 2 3
+2 3 9
+2 8 9
+2 7 8
+5 7 8
+5 8 10
+4 5 10
+4 5 6
+1 4 6
+1 3 4
+3 4 9
+4 9 10
+8 9 10
Index: tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-3.5.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-3.5.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-3.5.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,36 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="1_2-dimethoxyethane", N=12, E=20, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+1.3757 0.4033 0.3196 2
+-1.3757 0.4033 -0.3196 2
+1.2243 -1.6534 0.1956 1
+0.8147 -0.7635 -1.2905 0
+-1.2243 -1.6534 -0.1956 1
+-0.8147 -0.7635 1.2905 0
+3.2732 1.22 0.2858 0
+3.2041 -0.5585 0.3057 0
+2.7946 0.3315 -1.1804 1
+-3.2732 1.22 -0.2858 0
+-3.2041 -0.5585 -0.3057 0
+-2.7946 0.3315 1.1804 1
+
+7 8 9
+4 8 9
+3 4 8
+3 4 5
+2 4 5
+2 5 11
+2 10 11
+2 4 9
+1 2 9
+1 7 9
+3 5 6
+5 6 11
+6 11 12
+1 3 6
+1 3 8
+1 7 8
+1 6 12
+1 2 12
+2 10 12
+10 11 12
Index: tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-3.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-3.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-3.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,36 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="1_2-dimethoxyethane", N=12, E=20, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+1.3757 0.4033 0.3196 2
+-1.3757 0.4033 -0.3196 2
+1.2243 -1.6534 0.1956 1
+0.8147 -0.7635 -1.2905 1
+-1.2243 -1.6534 -0.1956 1
+-0.8147 -0.7635 1.2905 1
+3.2732 1.22 0.2858 0
+3.2041 -0.5585 0.3057 0
+2.7946 0.3315 -1.1804 0
+-3.2732 1.22 -0.2858 0
+-3.2041 -0.5585 -0.3057 0
+-2.7946 0.3315 1.1804 0
+
+7 8 9
+4 8 9
+3 4 8
+3 4 5
+2 4 5
+2 5 11
+2 10 11
+3 5 6
+5 6 11
+6 11 12
+1 3 6
+1 3 8
+1 7 8
+10 11 12
+1 2 4
+1 4 9
+1 7 9
+1 2 6
+2 6 12
+2 10 12
Index: tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-4.dat
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-4.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Tesselations/1_2-dimethoxyethane/post/NonConvexEnvelope-1_2-dimethoxyethane-4.dat	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,36 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="1_2-dimethoxyethane", N=12, E=20, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+1.3757 0.4033 0.3196 2
+-1.3757 0.4033 -0.3196 2
+1.2243 -1.6534 0.1956 0
+0.8147 -0.7635 -1.2905 0
+-1.2243 -1.6534 -0.1956 0
+-0.8147 -0.7635 1.2905 0
+3.2732 1.22 0.2858 0
+3.2041 -0.5585 0.3057 1
+2.7946 0.3315 -1.1804 1
+-3.2732 1.22 -0.2858 0
+-3.2041 -0.5585 -0.3057 1
+-2.7946 0.3315 1.1804 1
+
+7 8 9
+4 8 9
+3 4 8
+3 4 5
+4 5 11
+2 4 11
+2 10 11
+2 4 9
+1 2 9
+1 7 9
+1 2 12
+2 10 12
+1 6 12
+1 6 8
+3 6 8
+1 7 8
+3 5 6
+5 6 11
+6 11 12
+10 11 12
Index: tests/Tesselations/1_2-dimethoxyethane/pre/1_2-dimethoxyethane.xyz
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/pre/1_2-dimethoxyethane.xyz	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Tesselations/1_2-dimethoxyethane/pre/1_2-dimethoxyethane.xyz	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,18 @@
+16
+NCI NSC 60542 2,5-Dioxahexane
+C    0.7375   -0.7635   -0.2032
+C   -0.7375   -0.7635    0.2032
+O    1.3757    0.4033    0.3196
+O   -1.3757    0.4033   -0.3196
+C    2.7430    0.3456   -0.0917
+C   -2.7430    0.3456    0.0917
+H    1.2243   -1.6534    0.1956
+H    0.8147   -0.7635   -1.2905
+H   -1.2243   -1.6534   -0.1956
+H   -0.8147   -0.7635    1.2905
+H    3.2732    1.2200    0.2858
+H    3.2041   -0.5585    0.3057
+H    2.7946    0.3315   -1.1804
+H   -3.2732    1.2200   -0.2858
+H   -3.2041   -0.5585   -0.3057
+H   -2.7946    0.3315    1.1804
Index: tests/Tesselations/1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane.at
===================================================================
--- tests/Tesselations/1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Tesselations/1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,23 @@
+### 1_2-dimethoxyethane
+
+AT_SETUP([Tesselations - 1_2-dimethoxyethane])
+AT_KEYWORDS([tesselation non-convex-envelope])
+
+mol=1_2-dimethoxyethane
+
+file=${mol}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${mol}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+for RADIUS in  1.5 2 2.5 3 3.5 4 25; do
+	output=NonConvexEnvelope-${mol}-${RADIUS}.dat
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 -N ${RADIUS} --nonconvex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/${AUTOTEST_PATH}/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+done
+
+AT_CLEANUP
+
+
+